# Uses of Interface
org.eclipse.e4.ui.model.fragment.MModelFragment

Packages that use MModelFragment
Package
Description
org.eclipse.e4.ui.model.fragment
Application programming interfaces describing the Eclipse 4 fragment model elements.
org.eclipse.e4.ui.model.fragment.impl
org.eclipse.e4.ui.model.fragment.util

## Uses of MModelFragment in org.eclipse.e4.ui.model.fragment

Subinterfaces of MModelFragment in org.eclipse.e4.ui.model.fragment
Modifier and Type
Interface
Description
`interface`
`MStringModelFragment`
A representation of the model object 'String Model Fragment'.
Methods in org.eclipse.e4.ui.model.fragment that return types with arguments of type MModelFragment
Modifier and Type
Method
Description
`List<MModelFragment>`
MModelFragments.`getFragments()`
Returns the value of the 'Fragments' containment reference list.

## Uses of MModelFragment in org.eclipse.e4.ui.model.fragment.impl

Classes in org.eclipse.e4.ui.model.fragment.impl that implement MModelFragment
Modifier and Type
Class
Description
`class`
`ModelFragmentImpl`
An implementation of the model object 'Model Fragment'.
`class`
`StringModelFragmentImpl`
An implementation of the model object 'String Model Fragment'.
Fields in org.eclipse.e4.ui.model.fragment.impl with type parameters of type MModelFragment
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MModelFragment>`
ModelFragmentsImpl.`fragments`
The cached value of the '`Fragments`' containment reference list.
Methods in org.eclipse.e4.ui.model.fragment.impl that return types with arguments of type MModelFragment
Modifier and Type
Method
Description
`List<MModelFragment>`
ModelFragmentsImpl.`getFragments()`

## Uses of MModelFragment in org.eclipse.e4.ui.model.fragment.util

Methods in org.eclipse.e4.ui.model.fragment.util with parameters of type MModelFragment
Modifier and Type
Method
Description
`T`
FragmentSwitch.`caseModelFragment(MModelFragment object)`
Returns the result of interpreting the object as an instance of 'Model Fragment'.